### Method

# Clutter ActorIter init

#### Declaration [src]

    void
    clutter_actor_iter_init (
      ClutterActorIter* iter,
      ClutterActor* root
    )

#### Description [src]

Initializes a `ClutterActorIter`, which can then be used to iterate efficiently over a section of the scene graph, and associates it with `root`.

Modifying the scene graph section that contains `root` will invalidate the iterator.

      ClutterActorIter iter;
      ClutterActor *child;

      clutter_actor_iter_init (&iter, container);
      while (clutter_actor_iter_next (&iter, &child))
        {
          // do something with child
        }

#### Parameters

`root`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the method.